%define _default_patch_fuzz 2 \n\n
%define _with_afpfs 1

Summary: Parallel brute forcing password cracker
Name: medusa
Version: 1.5
Release: 11%{?dist}
License: GPLv2
Group: Applications/System
URL: http://www.foofus.net/jmk/medusa/medusa.html
Source0: http://www.foofus.net/jmk/tools/%{name}-%{version}.tar.gz
Patch1: medusa-1.5-configure.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: autoconf, automake, libtool, openssl-devel, apr-devel, ncpfs-devel, libssh2-devel, subversion-devel, postgresql-devel
%if %{_with_afpfs}
BuildRequires: afpfs-ng-devel, libgcrypt-devel
%define _afp_module yes
%else
%define _afp_module no
%endif

%description
Medusa is a speedy, massively parallel, modular,
login brute-forcer for network services.
Some of the key features of Medusa are:

    * Thread-based parallel testing. Brute-force
      testing can be performed against multiple hosts,
      users or passwords concurrently.
    * Flexible user input. Target information
      (host/user/password) can be specified in a variety of ways.
      For example, each item can be either a single
      entry or a file containing multiple entries.
      Additionally, a combination file format allows
      the user to refine their target listing.
    * Modular design. Each service module exists
      as an independent .mod file.
      This means that no modifications are necessary
      to the core application in order to extend
      the supported list of services for brute-forcing.

%prep
%setup -q
%patch1 -p1 -b .configure

%build
aclocal
autoheader
libtoolize --automake
automake --add-missing
autoconf
# required type off64_t is not available under all environments, ugly hack for ugly system heasders
export CPPFLAGS="-Doff64_t=__off64_t %{optflags}" ; export CFLAGS="-Doff64_t=__off64_t %{optflags}"
%{configure} --enable-module-afp=%{_afp_module}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
 
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_libdir}/medusa
%{_libdir}/medusa/*

%changelog
* Thu Jan 14 2010 Chris Weyl <cweyl@alumni.drew.edu> 1.5-11
- bump for libssh2 rebuild


* Mon Sep 21 2009 Chris Weyl <cweyl@alumni.drew.edu> - 1.5-10
- rebuild for libssh2 1.2

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 1.5-9
- rebuilt with new openssl

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 11 2009 Jan F. Chadima <jchadima@redhat.com> - 10.5-7
- enable afpfs_ng backend

* Tue Mar 24 2009 Jan F. Chadima <jchadima@redhat.com> - 10.5-5
- drop empty NEWS file

* Thu Mar 20 2009 Jan F. Chadima <jchadima@redhat.com> - 10.5-4
- fix license type
- fix description

* Thu Mar 20 2009 Jan F. Chadima <jchadima@redhat.com> - 10.5-3
- add missing build reqs

* Thu Mar 19 2009 Jan F. Chadima <jchadima@redhat.com> - 10.5-2
- repair summary and url according to recomendations
- switch afp support off by default

* Mon Mar 16 2009 Jan F. Chadima <jchadima@redhat.com> - 10.5-1
- initial build
